// **** BEGIN LICENSE BLOCK ****
//   Copyright(c) 2009-2010 MATSUZAWA Jiro
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
//   02110-1301, USA.  */
// **** END LICENSE BLOCK ****

var rencon;
if (!rencon) {
    rencon = {};
} else if (typeof rencon != "object") {
    throw new Error("");
}

// this is generalized from ArticleRecord class and MonographRecord class

////////////////////////////////////////////////////
// public
////////////////////////////////////////////////////

rencon.BibRecord = function(
        title,
        creator,
        pubDate,
        url
        )
{
    this.title = (typeof title == "string") ? title : "";
    this.creator = (typeof creator == "string") ? creator : "";
    this.pubDate = (typeof pubDate == "string") ? pubDate : "";
    this.url = (typeof url == "string") ? url : "";
}

rencon.BibRecord.prototype.setTitle = function(
        title
        )
{
    this.title = (typeof title == "string") ? title : "";
}


rencon.BibRecord.prototype.getTitle = function()
{
    return this.title;
}


rencon.BibRecord.prototype.setCreator = function(
        creator
        )
{
    this.creator = (typeof creator == "string") ? creator : "";
}


rencon.BibRecord.prototype.getCreator = function()
{
    return this.creator;
}


rencon.BibRecord.prototype.setPubDate = function(
        pubDate
        )
{
    this.pubDate = (typeof pubDate == "string") ? pubDate : "";
}


rencon.BibRecord.prototype.getPubDate = function()
{
    return this.pubDate;
}


rencon.BibRecord.prototype.setUrl = function(
        url
        )
{
    this.url = (typeof url == "string") ? url : "";
}


rencon.BibRecord.prototype.getUrl = function()
{
    return this.url;
}
